Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_UserState

    java.lang.Object
      oracle.ifs.server.S_UserState

    public class S_UserState

extends java.lang.Object

An S_UserState is used to hold per-user state in the DM server.

Currently, only Document read indication is supported.

(Unpublished)

Field Summary
`protected java.util.Hashtable` | `m_ReadIndication`
`protected boolean` | `m_ReadIndicationEnabled`
`protected boolean` | `m_Resolved`
`protected S_LibrarySession` | `m_Session`
`protected S_DirectoryUser` | `m_User`
`protected long` | `m_UserIdValue`
`protected static java.lang.String` | `READ_INDICATION_DELETEALL_STATEMENT`
`protected static java.lang.String` | `READ_INDICATION_TABLENAME`

Constructor Summary
`protected` | `S_UserState(S_LibrarySession session, S_DirectoryUser user)` Constructs an S_UserState.

Method Summary
`protected void` | `clearHasRead(java.lang.Long contentId)` Clears read indication for a content reference
`protected boolean` | `isRead(java.lang.Long contentId)` Fetches read indication for a content reference
`protected void` | `setHasRead(java.lang.Long contentId)` Sets read indication for a content reference

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READ_INDICATION_TABLENAME

    protected static final java.lang.String READ_INDICATION_TABLENAME

See Also:
  Constant Field Values

### READ_INDICATION_DELETEALL_STATEMENT

    protected static final java.lang.String READ_INDICATION_DELETEALL_STATEMENT

See Also:
  Constant Field Values

### m_UserIdValue

    protected long m_UserIdValue

### m_User

    protected S_DirectoryUser m_User

### m_Session

    protected S_LibrarySession m_Session

### m_Resolved

    protected boolean m_Resolved

### m_ReadIndication

    protected java.util.Hashtable m_ReadIndication

### m_ReadIndicationEnabled

    protected boolean m_ReadIndicationEnabled

Constructor Detail

### S_UserState

    protected S_UserState(S_LibrarySession session,
                          S_DirectoryUser user)
                   throws IfsException

  Constructs an S_UserState.

  Parameters:
    `session` - the current session
    `user` - the user
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setHasRead

    protected void setHasRead(java.lang.Long contentId)
                       throws IfsException

  Description copied from class: `S_UserState`
  Sets read indication for a content reference

  Parameters:
    `contentId` - the content reference
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### clearHasRead

    protected void clearHasRead(java.lang.Long contentId)
                         throws IfsException

  Description copied from class: `S_UserState`
  Clears read indication for a content reference

  Parameters:
    `contentId` - the content reference
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isRead

    protected boolean isRead(java.lang.Long contentId)
                      throws IfsException

  Description copied from class: `S_UserState`
  Fetches read indication for a content reference

  Parameters:
    `contentId` - the content reference
  Returns:
    true if the user has read this content
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD